/* Import fonts */
@import url('../fonts/Roboto.css');

/* Reset and normalize */
@import url('./normalize.css');
/* stylelint-disable */
@font-face {
    font-family: 'ptsans';
    src: url('../fonts/ptsans/PTS55F.ttf');
    font-style: normal;
    font-weight: normal;
}

a, address, article, aside, audio, b, big, blockquote, body, canvas, caption, code,
dd, del, details, dfn, div, dl, dt, em, embed, figcaption, figure, footer,
form, h1, h2, h3, h4, h5, h6, header, hgroup, html, i, iframe, img, label, legend, li,
main, mark, menu, nav, ol, output, p, pre, q, s, samp, section, small, span, strong, sub,
summary, sup, table, tbody, td, tfoot, th, thead, time, tr, tt, u, ul, var, video {
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    font-family: ptsans;
}

header, footer {
    margin-bottom: 80px;
}

body {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    padding-right: 10px;
    padding-left: 10px;
}

button {
    padding: 0;
    font: inherit;
    color: inherit;
    background-color: transparent;
    box-shadow: none;
    outline: none;
    cursor: pointer;
}

.header_logo {
    float: left;
    margin-top: 10px;

}

.header_search {
    margin-top: 30px;
    float: right;
}

.vertical_line {
    margin-left: 20px;
    margin-right: 20px;
}


.logo {
    font-family: 'Times New Roman', Times, serif;
    font-weight: bold;
    font-size: 48px;
    text-shadow: 2px 1px 0px black, -2px -1px 0px #f86d5e;
    color: white;
}

.logo:hover {
    color: rgb(233, 231, 231);
    text-shadow: 3.5px 1px 0px black, -3.5px -1px 0px #f86d5e;
    cursor: pointer;
}

.search_button {
    margin: 0px 0px 0px 10px;
    border: 1px #f86d5e;
    width: 80px;
    height: 35px;
    color: #f86d5e;
    font-weight: bold;
    font-size: 15px;

}

.search_button:hover {
    border: none;
    color: white;
    background-color: #f86d5e;
    cursor: pointer;
}

.search_field {
    width: 200px;
    height: 35px;
    margin: 0px;
}

a {
    text-decoration: none;
    color: #f86d5e;
    font-weight: 300;
}

a:hover {
    color: #b95044;
    cursor: pointer;
}

.add_button {
    float: right;
    margin: 0px 0px 0px 10px;
    border-width: 1px;
    border-color: #f86d5e;
    width: 160px;
    height: 40px;
    color: #f86d5e;
    font-weight: bold;
    font-size: 18px;
}

.add_button:hover {
    border: none;
    color: white;
    background-color: #f86d5e;
    cursor: pointer;
}

.horizontal_line {
    border-top: 1px solid black;
    width: 50%;
    margin: 50px 25% 50px 25%;
}

.head_line {
    padding-bottom: 40px;
    font-size: 36px;
}

.filter_by {
    float: left;
    font-size: 14px;

}

.filter_field {
    color: rgb(151, 150, 150);
}

.filter_field:hover {
    color: rgb(88, 85, 85);
    cursor: pointer;
}

.circle {
    border: solid 3px;
    color: #f86d5e;
    border-radius: 50%;
    height: 7rem;
    width: 7rem;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition: 0.2s;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: -5px;
}

.circle .teacher_photo {
    border-radius: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.2s;
}

.circle:hover .teacher_photo {
    transform: scale(1.2);
    cursor: pointer;
}

.circle:hover {
    border: solid 3px;
    color: #af3b2e;
}

.initials {
    font-weight: bold;
    color: #f86d5e;
    font-size: 20px;
}

.teacher_placement:hover .initials {
    transform: scale(1.2);
    cursor: pointer;
}

.full_name {
    font-size: 20px;
}

.country {
    font-size: 12px;
    color: rgb(88, 85, 85);
}

.table_of_stats {
    width: 100%;
    margin: 0px -30px 0px 50px;
    text-align: left;
    font-size: 20px;

}

th {
    border-bottom: 3px solid #888585;
    padding: 10px;
    text-align: center;
}

th:first-child {
    text-align: left;
}

th:hover {
    border-bottom: 4px solid #353333;
    background-color: rgb(247, 247, 247);
    cursor: pointer;
}

td {
    padding: 10px;
}

td {
    text-align: center;
}

td:first-child {
    text-align: left;
}

tr:nth-child(odd) {
    background: white;
}

tr:nth-child(even) {
    background: #f8f2f1;
}

.numbers {
    color: rgb(74, 142, 206);
}

.numbers:focus {
    color: rgb(0, 0, 0);
}

@media (min-width: 850px) {
    .slide_teachers {
        display: flex;
        position: relative;
        flex-direction: row;
        margin: 50px auto 40px;
    }
}

.slide_teachers::before {
    position: absolute;
    content: '';
    top: 90px;
    left: -20px;
    border: solid rgb(114, 114, 114);
    border-width: 0 6px 6px 0;
    display: inline-block;
    -webkit-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    transform: rotate(135deg);
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.slide_teachers::after {
    position: absolute;
    content: '';
    top: 90px;
    right: -20px;
    border: solid rgb(114, 114, 114);
    border-width: 0 6px 6px 0;
    display: inline-block;
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.description {
    text-align: left;
    font-size: 18px;
    padding: 20px
}

.footer_navigation_menu {
    margin-top: 10px;
    float: left;
    position: relative;
}

.foot {
    text-decoration: none;
    color: #6f9dff;

}

.foot:hover {
    color: #2639a1;
    cursor: pointer;
}

.overlay {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 0;
    display: none;
}

.popup {
    background-color: white;
    border-width: 1px;
    border-color: #666666;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    padding: 50px;
    box-sizing: border-box;
}

.popup_close {
    position: absolute;
    top: 50px;
    right: 15px;
    width: 23px;
    height: 23px;
    cursor: pointer;
}

.popup_close::before {
    content: "";
    position: absolute;
    height: 2px;
    width: 10px;
    top: 11px;
    left: -4px;
    transform: rotate(-45deg);
    background-color: #646464;
}

.popup_close::after {
    background-color: #646464;
    content: "";
    position: absolute;
    height: 2px;
    width: 10px;
    top: 11px;
    left: -4px;
    transform: rotate(45deg);
}

.add {
    border-width: 1px;
    border-color: #f86d5e;
    width: 250px;
    height: 45px;
    color: #f86d5e;
    font-weight: bold;
    font-size: 18px;
    background-color: white;
    margin: 30px 0px 0px;
}

.add:hover {
    border: none;
    color: white;
    background-color: #f86d5e;
    cursor: pointer;
}

.input, select {
    width: 250px;
    height: 30px;
    margin-bottom: 15px;
}

.right {
    float: right;
}

.form {
    text-align: left;
    line-height: 1.5;
    width: 250px;
    margin-left: auto;
    margin-right: auto;
}

h2 {
    font-size: 35px;
    text-align: center;
    margin-bottom: 30px;
}

.background_color {
    margin-top: 20px;
}

.colours {
    height: 20px;
    float: right
}

h1 {
    font-size: 50px;
    margin: 0px 0px 20px;
}

.comment {
    text-align: justify;
}

.underline {
    border-bottom: 2px dashed;
    float: left;
    margin-top: 20px;
}

.email {
    color: #6f9dff;
}

.star2 {
    width: 40px;
    height: 35px;
    float: right;
    margin-top: 35px;
}

.star {
    width: 25px;
    height: 22px;
    position: absolute;
    margin-left: 35px;
    margin-top: 10px;
}

@media (min-width: 1000px) {
    body {
        max-width: 960px;
    }
}
@media (max-width: 700px){
    .slide_teachers {
        display: flex;
        position: relative;
        flex-direction: row;
        flex-wrap: wrap;
        margin: 50px auto 40px;
    }
    .filter_teachers{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        margin: 50px auto 40px;
    }
    .teacher_placement{
        width: 33%;
        margin: 0px 0px 30px;
    }
    #teacher5, #teacher4{
        visibility: hidden;
        display: none
    }
    ul.menu_list li{
        font-size: 20px;
        margin: 0px 30px 0px 0px;
    }
    .menu{
        width: 960px;
        margin-left: auto;
        margin-right: auto;
        padding-top: 90px;
    }
    .navigation_menu{
        margin: 0px;
        float: left;
    }
    header{
        padding-bottom: 40px;
    }
    .circle:hover{
        border:  solid 3px;
        color: #af3b2e;
    }
    .teacher_overlay{
        position: absolute;
        width: 100%;
        top: 50%;
        left: 0;
        display: none;
    }
    .teacher_popup{
        background-color: white;
        border-width: 1px;
        border-color: #666666;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        padding: 50px;
        box-sizing: border-box;
        width: 350px;
    }
    .teacher_card{
        margin: 0px;
    }
    .teacher_card img{
        margin-top: 10px;
        width: 250px;
        height: 250px;
    }
    .general_information{
        display: grid;
        line-height: 2;
        float: right;
        width: 250px;
        text-align: center;

    }
}
a{
    text-decoration: none;
    color: #f86d5e;
    font-weight: 300;
}
a:hover{
    color: #b95044;
    cursor: pointer;
}
.add_button{
    float: right;
    margin: 0px 0px 0px 10px;
    border-width: 1px;
    border-color: #f86d5e;
    width: 160px;
    height: 40px;
    color: #f86d5e;
    font-weight: bold;
    font-size: 18px;
}
.add_button:hover{
    border: none;
    color: white;
    background-color: #f86d5e;
    cursor: pointer;
}
.horizontal_line {
    border-top: 1px solid black;
    width: 50%;
    margin: 50px 25% 50px 25%;
}
.head_line{
    padding-bottom: 40px;
    font-size: 36px;
}
.filter_by{
    float: left;
    font-size: 14px;

}
.filter_field{
    color: rgb(151, 150, 150);
}
.filter_field:hover{
    color: rgb(88, 85, 85);
    cursor: pointer;
}
@media (min-width: 700px){
    .menu{
        width: 960px;
        margin-left: auto;
        margin-right: auto;
        padding-top: 120px;
    }
    .navigation_menu{
        float: left;
        margin-top: 10px;

    }
    ul.menu_list li{
        display: inline;
        margin-right: 30px;
        font-size: 20px;
    }
    .filter_teachers{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        margin: 50px auto 40px;
    }
    .teacher_placement{
        width: 20%;
        margin: 0px 0px 30px;
    }
    .slide_teachers {
        display: flex;
        position: relative;
        flex-direction: row;
        margin: 50px auto 40px;
    }
    .teacher_overlay{
        position: absolute;
        width: 100%;
        top: 50%;
        left: 0;
        display: none;
    }
    .teacher_popup{
        background-color: white;
        border-width: 1px;
        border-color: #666666;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        padding: 50px;
        box-sizing: border-box;
        width: 900px;
    }
    .teacher_card{
        margin: 0px;
    }
    .teacher_card img{
        margin-top: 10px;
        float: left;
        width: 270px;
        height: 270px;
    }
    .general_information{
        line-height: 2;
        float: right;
        width: 530px;
        padding-left: 40px;
        text-align: left;

    }
    .clearfix{
        height: 300px;
    }
}
